statistics-0.13.2.3: A library of statistical types, data, and functions

Copyright | (c) 2009, 2011 Bryan O'Sullivan
License | BSD3
Maintainer | bos@serpentine.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell98

Statistics.Resampling.Bootstrap

Contents

- References

Description

The bootstrap method for statistical inference.

Synopsis

- data Estimate = Estimate {
  - estPoint :: !Double
  - estLowerBound :: !Double
  - estUpperBound :: !Double
  - estConfidenceLevel :: !Double
  }
- bootstrapBCA :: Double -> Sample -> [Estimator] -> [Resample] -> [Estimate]
- scale :: Double -> Estimate -> Estimate

# Documentation

data Estimate Source

A point and interval estimate computed via an `Estimator`.

Constructors

Estimate |

Fields

estPoint :: !Double

  Point estimate.

estLowerBound :: !Double

  Lower bound of the estimate interval (i.e. the lower bound of the confidence interval).

estUpperBound :: !Double

  Upper bound of the estimate interval (i.e. the upper bound of the confidence interval).

estConfidenceLevel :: !Double

  Confidence level of the confidence intervals.

Instances

Eq Estimate Source |
Data Estimate Source |
Read Estimate Source |
Show Estimate Source |
Generic Estimate Source |
ToJSON Estimate Source |
FromJSON Estimate Source |
Binary Estimate Source |
NFData Estimate Source |
type Rep Estimate Source |

bootstrapBCA Source

Arguments

:: Double | Confidence level
-> Sample | Sample data
-> [Estimator] | Estimators
-> [Resample] | Resampled data
-> [Estimate] |

Bias-corrected accelerated (BCA) bootstrap. This adjusts for both bias and skewness in the resampled distribution.

scale Source

Arguments

:: Double | Value to multiply by.
-> Estimate |
-> Estimate |

Multiply the point, lower bound, and upper bound in an `Estimate` by the given value.

# References

- Davison, A.C; Hinkley, D.V. (1997) Bootstrap methods and their application. http://statwww.epfl.ch/davison/BMA/